summaryrefslogtreecommitdiffstats
path: root/ci/deploy.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/deploy.sh')
-rwxr-xr-xci/deploy.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/ci/deploy.sh b/ci/deploy.sh
index c14a91e3..3684ad56 100755
--- a/ci/deploy.sh
+++ b/ci/deploy.sh
@@ -974,8 +974,12 @@ EOI
ssh -T ${SSH_OPTIONS[@]} "stack@$UNDERCLOUD" <<EOI
source stackrc
-set -o errexit
openstack overcloud deploy --templates $DEPLOY_OPTIONS --timeout 90
+if ! heat stack-list | grep CREATE_COMPLETE 1>/dev/null; then
+ $(typeset -f debug_stack)
+ debug_stack
+ exit 1
+fi
EOI
if [ "$debug" == 'TRUE' ]; then